from setuptools import setup, find_packages

with open('pysonfield/requirements.txt', 'r') as f:
    requirements = f.read().splitlines() + ["pymongo"]

setup(
    name='mongofield',
    version='1.0.0',
    author='@fswair',
    author_email="contact@tomris.dev",
    packages=["mongofield"],
    description='Modular, ORM based, high efficiently "JSONField" Database Engine for MongoDB!',
    long_description=None,
    url='https://github.com/fswair/mongofield',
    install_requires=requirements,
    python_requires='>=3.10',
    classifiers=[
            "Development Status :: 5 - Production/Stable",
            "Intended Audience :: Developers",
            "License :: OSI Approved :: MIT License",
            "Programming Language :: Python :: 3",
            "Programming Language :: Python :: 3.10"
    ],
    keywords=['json', 'mongo', 'jsonfield', 'database', 'orm', 'mongofield'],
    license='MIT',
    maintainer='@fswair',
    maintainer_email="contact@tomris.dev"
)
    